typedef struct {
	GsDOBJ2 handler;
	VECTOR pos;				// accurate position
	SVECTOR rot;			// rotation
	SVECTOR vel;			// velocity
	GsCOORDINATE2 coord;	// coordinate system
	long flag;				// on ground / in air
	long check;				// check points passed
	long time, bestTime;	// lap times
} ObjectHandler;

void InitObject(ObjectHandler *object, u_long *pointer);
int Blend(int x, int y, int a, int b, int c, int d);
//void RotateModel(GsCOORDINATE2 *coord, SVECTOR *rot, int x, int y, int z);
void SetAcceleration(SVECTOR *vel, SVECTOR *rot, int d);
void ResetMatrix(short m[3][3]);